classification
Title: zipfile.py script should print usage to stderr
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: SilentGhost, python-dev, serhiy.storchaka, sjt
Priority: normal Keywords: patch

Created on 2016-09-12 15:33 by sjt, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
zipfile-errmsg sjt, 2016-09-12 15:33 patch to direct abort messages to stderr review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (6)
msg276056 - (view) Author: Stephen J. Turnbull (sjt) * Date: 2016-09-12 15:33
Pointed out by Serhiy Storchaka in a different context.
msg276059 - (view) Author: Stephen J. Turnbull (sjt) * Date: 2016-09-12 15:38
CA pending (I have received PDF, but no star in tracker yet).
msg276061 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-09-12 15:49
I would request tests, but since currently there are no tests for command line interface to zipfile, it's okay. LGTM. Will commit right after beta 1 is tagged.
msg276185 - (view) Author: Roundup Robot (python-dev) Date: 2016-09-13 06:27
New changeset 5e2780908857 by Serhiy Storchaka in branch 'default':
Issue #28102: The zipfile module CLI now prints usage to stderr.
https://hg.python.org/cpython/rev/5e2780908857
msg276186 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-09-13 06:27
Thanks Stephen!
msg276190 - (view) Author: SilentGhost (SilentGhost) * Date: 2016-09-13 06:57
The status code in all those cases should have been 2.
History
Date User Action Args
2017-03-31 16:36:20dstufftsetpull_requests: + pull_request940
2016-09-13 06:57:46SilentGhostsetnosy: + SilentGhost
messages: + msg276190
2016-09-13 06:27:46serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg276186

stage: commit review -> resolved
2016-09-13 06:27:00python-devsetnosy: + python-dev
messages: + msg276185
2016-09-12 15:49:21serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg276061

assignee: serhiy.storchaka
type: enhancement
stage: commit review
2016-09-12 15:38:10sjtsetmessages: + msg276059
2016-09-12 15:33:28sjtcreate